Welkom  

   

Mijn Menu  

   

What's Up  

za aug 27 @12:00AM
ZF Zomermeeting 2022
   

Wedstrijd  

Geen evenementen
   
   
   
   
   
   
   
   
   
   
   
   
   
   
Welkom, Gasten
De mogelijkheden om zelf te knutselen/ontwikkelen met de nieuwste generatie mini-PC's is eindeloos. Omdat er diverse fraaie initiatieven lopen die best wat eigen plek behoeven, bundelen we onze kennis in deze categorie.

Onderwerp: Nieuwe versie Pypilot voor RPI4 flatpak

Nieuwe versie Pypilot voor RPI4 flatpak 25 juni 2022 20:25 #1402351

  • 3Noreen
  • 3Noreen's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 10071
-rene- schreef :
Linux en Docker zijn mijn dagelijkse toolbox om systemen te bouwen voor o.a. pensioenfondsen. Die draaien aanzienlijk langer dan de meeste software projecten. Ken je Docker?

Ik kan de relevantie niet doorzien. Ga ik zeekaarten op het scherm krijgen met software voor pensioenfondsen ? Denk het niet.
“Het is ontzettend cliché om te zeggen dat het persoonlijke politiek is, maar in een tijd waarin wetenschappers, grote bedrijven en overheden er steeds beter in worden om het menselijk brein te hacken, klinkt het onheilspellender dan ooit. ” Yuval Noah Harari
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 25 juni 2022 20:29 #1402353

  • -rene-
  • -rene-'s Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 52
3Noreen schreef :
-rene- schreef :
Linux en Docker zijn mijn dagelijkse toolbox om systemen te bouwen voor o.a. pensioenfondsen. Die draaien aanzienlijk langer dan de meeste software projecten. Ken je Docker?

Ik kan de relevantie niet doorzien. Ga ik zeekaarten op het scherm krijgen met software voor pensioenfondsen ? Denk het niet.

Ik kan me niet aan de indruk onttrekken dat je het niet wilt begrijpen. Helaas…
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 25 juni 2022 20:46 #1402358

  • 3Noreen
  • 3Noreen's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 10071
-rene- schreef :
3Noreen schreef :
-rene- schreef :
Linux en Docker zijn mijn dagelijkse toolbox om systemen te bouwen voor o.a. pensioenfondsen. Die draaien aanzienlijk langer dan de meeste software projecten. Ken je Docker?

Ik kan de relevantie niet doorzien. Ga ik zeekaarten op het scherm krijgen met software voor pensioenfondsen ? Denk het niet.

Ik kan me niet aan de indruk onttrekken dat je het niet wilt begrijpen. Helaas…

Ik doe mijn best. Maar het enige wat ik kan concluderen uit jou verhaal over pensioenfondsen is dat je jezelf een deskundigheid wilt aanmeten waar ik voor als nog de relevantie voor boordcomputers niet van kan ontdekken. Dus denk jij dat je OpenCPN met o-charts en de radar plugin goed stabiel draaiend krijgt in docker ? En je garandeert dat het langer dan twee jaar blijft doen ?

Je kunt i.p.v. een kaartje van Brambo bij WinGPS aankloppen. Krijg je nog professionele ondersteuning en het zal bijna zeker zijn dat je minstens 5 jaar updates van de kaarten ervoor kan kopen.. Overigens mijn plotter werkt al meer dan 15 jaar goed inclusief updates van kaartmateriaal. Mijn Linux-OpenCPN slechts 1 jaar. Dat laatste vind ik gewoon een aanfluiting. Daar blijf ik bij. Zoveel snap ik er nog wel van.
“Het is ontzettend cliché om te zeggen dat het persoonlijke politiek is, maar in een tijd waarin wetenschappers, grote bedrijven en overheden er steeds beter in worden om het menselijk brein te hacken, klinkt het onheilspellender dan ooit. ” Yuval Noah Harari
Laatst bewerkt: 25 juni 2022 21:03 door 3Noreen.
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 07:40 #1402397

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 6295
Wat een onzin weer. "OpenCPN met kaarten werkt maar een jaar".

Er zijn grote stappen vooruit gemaakt. Kopieer beveiliging werkt nu met een usb dongle. Dan kun je kaarten gebruiken ook op andere systemen door alleen de dongle te verplaatsen. Is niet meer afhankelijk van de software/hardware fingerprint.

Kaarten opwaarderen en installeren kan via server adres of rechtstreeks in OpenCPN.

Bij O-charts heb je recht op een tweede set als de eerste om welke reden niet zou werken. Had je eerst de fingerprint dan kun je zo de versie krijgen voor de dongle,

In de Flatpak versie van OpenCPN zijn er nu direct een 20 tal plug-in opties beschikbaar, waaronder de Pypilot, Radar en vele anderen.

Voor de duidelijkheid. Bepaalde plugins komen van de OpenCPN organisatie.

Een aantal anderen komen van de diverse ontwikkelaars.

Zo is de Radar plugin afkomstig van de nederlandse ontwikkelaars Merrimac (Cees V.) en Douwe (F.). Er wordt hard aan gewerkt om de ondersteunende radar antennes uit te breiden.

Merrimac is ook de ontwikkelaar die NMEA2000 oncijferd heeft met zijn Canboat applicatie, die in SignalK is opgenomen.

Als je kaartploter nog zo werkt dan heb je helemaal geen ander systeem nodig.

Probeer eens andere software pakketten en kijk of daar een Pypilot plugin of de radar overlay hierin werkt.

Maar niet allemaal onzin verkondigen.

Een ander bekend OS heeft met vaste regelmaat "Patch-Tuesday" met reeksen van updates.

Bij een nieuwere versie werkt het alleen nog maar op bepaalde specifieke hardware en zeker niet meer op je oude vertrouwde 15 jaar oude computer.

Kortom veel gemekker en weinig wol.
Laatst bewerkt: 26 juni 2022 07:42 door brambo.
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 07:42 #1402398

  • 3Noreen
  • 3Noreen's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 10071
brambo schreef :
Wat een onzin weer.

We hebben een echte "brambo"
“Het is ontzettend cliché om te zeggen dat het persoonlijke politiek is, maar in een tijd waarin wetenschappers, grote bedrijven en overheden er steeds beter in worden om het menselijk brein te hacken, klinkt het onheilspellender dan ooit. ” Yuval Noah Harari
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 07:48 #1402400

  • b100
  • b100's Profielfoto
  • aanwezig
  • Gebruiker
  • Berichten: 5830
PvO schreef :
Leuk draadje dit, ik wordt steeds blijer met mijn WINGPS op een Windows 7 PC :laugh:

mijn WINGPS draait al jaren prima op WIN10. heerlijk
"We're at one hundred seconds to midnight on the doomsday clock. This is the closest the Human Race has ever been .
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 08:05 #1402402

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 6295
Dat is toch prima. Hoop alleen voor je dat het ook nog werkt met Windows 11 op je bestaande systeem.

Heeft overigens niets met dit thema te maken.
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 08:09 #1402404

  • PvO
  • PvO's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4694
brambo schreef :
Dat is toch prima. Hoop alleen voor je dat het ook nog werkt met Windows 11 op je bestaande systeem.

Heeft overigens niets met dit thema te maken.
Waarom zou je voor een navigatie pc willen upgraden naar Windows 11, als dat de hardware niet ondersteunt?
Iedereen heeft dezelfde wind, maar niet dezelfde zeilen
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 08:14 #1402408

-rene- schreef :
Het gros van de mensen doet er het best aan een CF kaartje aan Brambo te vragen als ze met OpenCPN op de Raspberry willen werken. Ben je in één keer klaar.

Da’s een extreme vorm van flatpak/docker/sandbox/vooraf afgestemde omgeving toch!? :woohoo:

Als het draait backuppen en afblijven. Vergeet Brambo’s advies om te updaten om het updaten, maar wacht op een nieuw getest kaartje van hem ;)
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 08:22 #1402409

  • 3Noreen
  • 3Noreen's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 10071
PvO schreef :
brambo schreef :
Dat is toch prima. Hoop alleen voor je dat het ook nog werkt met Windows 11 op je bestaande systeem.

Heeft overigens niets met dit thema te maken.
Waarom zou je voor een navigatie pc willen upgraden naar Windows 11, als dat de hardware niet ondersteunt?

Je hebt nog even de tijd.
Microsoft will continue to support Windows 10 until Oct. 14, 2025
En daarna is de kans zeer groot dat je nog steeds je kaarten kunt bijwerken.
“Het is ontzettend cliché om te zeggen dat het persoonlijke politiek is, maar in een tijd waarin wetenschappers, grote bedrijven en overheden er steeds beter in worden om het menselijk brein te hacken, klinkt het onheilspellender dan ooit. ” Yuval Noah Harari
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 08:50 #1402416

  • henkvd
  • henkvd's Profielfoto
  • aanwezig
  • Gebruiker
  • Berichten: 3898
WinGPS5 de laatste versie draait ook nog op WinXP , zie de problemen niet :laugh:
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 08:52 #1402417

  • PvO
  • PvO's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4694
3Noreen schreef :
PvO schreef :
brambo schreef :
Dat is toch prima. Hoop alleen voor je dat het ook nog werkt met Windows 11 op je bestaande systeem.

Heeft overigens niets met dit thema te maken.
Waarom zou je voor een navigatie pc willen upgraden naar Windows 11, als dat de hardware niet ondersteunt?

Je hebt nog even de tijd.
Microsoft will continue to support Windows 10 until Oct. 14, 2025
En daarna is de kans zeer groot dat je nog steeds je kaarten kunt bijwerken.
Je bedoeld b100 heeft nog even de tijd....
Ik draai nog op Windows 7 :laugh: .
Zolang de pc niet vervangen hoeft te worden en wingps nog genoegen neemt met Windows 7, zie ik geen reden me druk te maken om Windows 11.
Iedereen heeft dezelfde wind, maar niet dezelfde zeilen
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 09:00 #1402419

  • 3Noreen
  • 3Noreen's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 10071
henkvd schreef :
WinGPS5 de laatste versie draait ook nog op WinXP , zie de problemen niet :laugh:

Het probleem zit ook niet bij Windows. Het zit bij Linux+OpenCPN. Die nerdware zorgt er voor dat je na 1 jaar je kaarten niet meer kunt bijwerken. Het kost je dan minimaal een dag om het allemaal met een nieuw besturingssysteem werkend te krijgen.
“Het is ontzettend cliché om te zeggen dat het persoonlijke politiek is, maar in een tijd waarin wetenschappers, grote bedrijven en overheden er steeds beter in worden om het menselijk brein te hacken, klinkt het onheilspellender dan ooit. ” Yuval Noah Harari
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 09:22 #1402425

  • Mi Dushi
  • Mi Dushi's Profielfoto
  • aanwezig
  • Gebruiker
  • Berichten: 1240
Ik sta hier aan de zijlijn een beetje mee te kijken (maar ga zo dadelijk eens OpenCPN op mijn laptop met Linux Mint zetten). Kan je mij eens uitleggen waarom een kaart die werkte op een versie van Linux opeens een nieuwere versie nodig heeft en niet meer op de oude werkt?
En ligt dat aan Linux of aan de uitgever van de kaart?
Jan
HR 312 Mi Dushi, Wemeldinge
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 09:49 #1402431

  • 3Noreen
  • 3Noreen's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 10071
Mi Dushi schreef :
Ik sta hier aan de zijlijn een beetje mee te kijken (maar ga zo dadelijk eens OpenCPN op mijn laptop met Linux Mint zetten). Kan je mij eens uitleggen waarom een kaart die werkte op een versie van Linux opeens een nieuwere versie nodig heeft en niet meer op de oude werkt?
En ligt dat aan Linux of aan de uitgever van de kaart?

Voor alle duidelijkheid. De oude kaarten blijven wel werken. Maar als je die kaarten wilt bijwerken kan er een probleem ontstaan. Met name met kaarten van o-charts. Je moet de laatste plugin daarvoor hebben. Die werkt alleen samen met de nieuwste versie van OpenCPN. Die laatste versie van OpenCPN plus de benodigde plugins kan maar op een beperkt aantal Linux versies geïnstalleerd worden.
Als je nu een werkende installatie hebt en nieuwe kaarten er op zet zal het wel werken totdat.... De toekomst is geenszins zeker.
Je zit als je nu installeert snel aan flatpack vast. Daar zijn nadelen aan verbonden. Met name dat de stabiliteit van het besturingssysteem niet meer door de club die het besturingssysteem uitgeeft ondersteund wordt.
Als OpenCPN ontwikkelaars er voor gekozen hadden Debian te blijven ondersteunen zou er een grote groep van afgeleide besturingssystemen compatibel gebleven zijn. Inclusief jou Linux Mint.
“Het is ontzettend cliché om te zeggen dat het persoonlijke politiek is, maar in een tijd waarin wetenschappers, grote bedrijven en overheden er steeds beter in worden om het menselijk brein te hacken, klinkt het onheilspellender dan ooit. ” Yuval Noah Harari
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 10:14 #1402437

3Noreen schreef :

Als OpenCPN ontwikkelaars er voor gekozen hadden Debian te blijven ondersteunen zou er een grote groep van afgeleide besturingssystemen compatibel gebleven zijn. Inclusief jou Linux Mint.

Dat is de kern van het probleem. Ux-applicaties kunnen simpelweg niet alle wijzigingen in al die UX versies bijhouden en dus moeten ze kiezen. En daarmee zetten ze zichzelf buiten spel voor een deel van de UXgebruikers.
Zo fragmenteert de UXwereld zich steeds verder in mini-niches.
Daar helpt zelfs Flatpak niet tegen.....
Moderne open source: "Logisch dat nog niet alles werkt. Het merendeel heb je helemaal niet nodig."
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 10:18 #1402439

3Noreen schreef :
Als OpenCPN ontwikkelaars er voor gekozen hadden Debian te blijven ondersteunen zou er een grote groep van afgeleide besturingssystemen compatibel gebleven zijn. Inclusief jou Linux Mint.

Ja dat begrijp ik ook niet! En hoe moeilijk is dat? Ik begrijp dat de basis van het probleem is dat je niet alle "externe" plug-ins kunt ondersteunen maar die O-charts net die ene waar iets voor betaald is.....
Hoeveel werk is het om voor deze groep een build te doen voor OpenCPN en de O-charts plug in?
En wordt Raspberry Pi OS (Legacy) dan ook niet meteen ondersteund? Dat lijkt me een logische stap.
Menno?
Onno Harders eigenaar van
www.boatcontroller.nl en www.pcnautic.nl
Prutsen is de meest onderschatte fase van een creatief proces
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 10:22 #1402440

  • cav
  • cav's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 48
brambo schreef :
Zo is de Radar plugin afkomstig van de nederlandse ontwikkelaars Merrimac (Cees V.) en Douwe (F.). Er wordt hard aan gewerkt om de ondersteunende radar antennes uit te breiden.

Merrimac is ook de ontwikkelaar die NMEA2000 oncijferd heeft met zijn Canboat applicatie, die in SignalK is opgenomen.

Hmmm, hier toch even op reageren, als Merrimac zijnde op CF (helaas was die username hier in 2012 al bezet...) We kunnen alleen radars toevoegen die we zelf niet hebben als we (veel) medewerking krijgen van mensen met zo'n radar in bezit. Eigenlijk is de laatste jaren alleen (bepaalde typen van) Raymarine toegevoegd, omdat er iemand uit de richting van Rusland een kopie maakte en die voor Raymarine aanpasten. Het is ons nooit gelukt contact te krijgen met deze meneer (mevrouw, wie weet). Wel hebben we de code nu robuust gekregen en doen we in de computer alle berekeningen voor MARPA en ARPA, guard zones etc.

De derde ontwikkelaar van de radar plugin, Håkan, komt uit Zweden. Maar toevalligerwijs zijn Douwe en ik inderdaad Nederlands, we hebben elkaar al 1 keer live ontmoet!

De ontwikkeling van de plugins is wel redelijk dramatisch, er is wel een slag gemaakt naar automatisch bouwen (CI) en een bibliotheek van plugins. Dat opzetten van CI en dergelijke is wel iets dat voor niet-professionele ontwikkelaars als Douwe en Håkan een enorme kluif is, sterker nog, de core devs van OpenCPN hebben ook 2 jaar nodig gehad om tot een beetje goed systeem te komen.

Dat komt ook gedeeltelijk doordat de grafische bibliotheek waar OpenCPN de systeem-onafhankelijkheid van krijgt, wxWidgets, ook nogal een rommelige en nare versionering heeft. Elke plugin moet met dezelfde versie van wxWidgets gecompileerd worden als OpenCPN zelf, je kunt dus niet oude plugins gebruiken met een nieuwe versie van OpenCPN als die nieuwe OpenCPN versie een andere versie van wxWidgets gebruikt. En omdat de gebruikte wxWidgets versie weer afhankelijk is van het platform (OS) geeft dat nogal wat nare spanning.

Zo was er een tijdje dat de 5.6 productie release van OpenCPN op macOS op het allerlaatst omgezet werd van wx 3.1.2 naar 3.1.5, en dus de plugins niet meer werkten. Wat er dan voor de gebruikers gebeurd is dat ze minder plugins kunnen installeren. En in het goede geval laadt OpenCPN de oude niet meer, want dat lukt niet meer want de wxWidgets bibliotheken zijn vernieuwd.

De introductie van Flatpak op Linux is op termijn wel een fijn systeem, want het betekent dat we voor minder variaties van Linux hoeven te bouwen en op meer systemen kunnen lopen. Daar doorheen vlecht zich de opkomst van ARM dus de winst wordt gelijk weer ingeleverd :-)

Helaas is Docker niet echt een oplossing voor OpenCPN, want Docker voorziet helemaal niet in het containeriseren van grafische toepassingen. Voor X windows zou het nog kunnen maar de meeste gebruikers gebruiken OpenGL en dat ondersteunt geen verbinding over een netwerkverbinding.

Ik denk eigenlijk dat het wel tijd zou zijn voor een 100% rewrite van een navigatie oplossing, maar OpenCPN en Signal K hebben beide eigenlijk wel bewezen dat grote projecten in het marine yachting gebied nogal lastig zijn. Een van de 'starters' van Signal K was met een project bezig om vanaf scratch nieuwe navigatie software te bouwen, maar hij wilde dat in Java doen dus het aantal mensen dat wilde en kon meewerken was niet hoog. Hij heeft dit inmiddels al achter zich gelaten en nu probeert iemand anders voortgang te boeken... Open source, best lastig!
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 10:34 #1402442

Hoi kees!!!
Wist niet dat je je hier durfde te vertonen! Welkom!
Wel knap dat je je zover buiten deze discussies hebt gehouden!

Nu ben je de klos:
@CAV
Zeilprutser schreef :
3Noreen schreef :
Als OpenCPN ontwikkelaars er voor gekozen hadden Debian te blijven ondersteunen zou er een grote groep van afgeleide besturingssystemen compatibel gebleven zijn. Inclusief jou Linux Mint.

Ja dat begrijp ik ook niet! En hoe moeilijk is dat? Ik begrijp dat de basis van het probleem is dat je niet alle "externe" plug-ins kunt ondersteunen maar die O-charts net die ene waar iets voor betaald is.....
Hoeveel werk is het om voor deze groep een build te doen voor OpenCPN en de O-charts plug in?
En wordt Raspberry Pi OS (Legacy) dan ook niet meteen ondersteund? Dat lijkt me een logische stap
Onno Harders eigenaar van
www.boatcontroller.nl en www.pcnautic.nl
Prutsen is de meest onderschatte fase van een creatief proces
Laatst bewerkt: 26 juni 2022 10:34 door Zeilprutser.
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 10:39 #1402443

  • lschip
  • lschip's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 389
Volgens mij is het niet een kwestie van niet kunnen maar niet willen.
Ik gebruik AvNav in plaats van Opencpn, de meer gebruikersvriendelijke plotter :). Op een 64bits debian distributie.
De nieuwe plugin voor O- charts was ook voor mij niet beschikbaar binnen AvNav.
Maar nu heeft de ontwikkelaar deze toch voor mij beschikbaar gemaakt en kan ik deze distributie gewoon blijven gebruiken. En zonder flatpak en zo.

Gepost met de officiële Zeilersforum-app
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 11:17 #1402448

We zouden als community natuurlijk ook gewoon eens wat geld bij elkaar kunnen leggen.
Het lastige van mijn positie is in dit geval natuurlijk dat ik een commercieel belang heb/zou kunnen hebben.
De commerciële afweging heb ik al lang gemaakt dat wordt Raspi OS 64bits met flatpack.
De reden is dat de BoatController gelukkig primair is ontwikkeld als multiplexer en niet als plotter en dat heb ik tot nu toe ook niet geadviseerd en niet ondersteund.
Daardoor zijn er maar enkele gebruikers die er gebruik van maken.

Toen ik het gevoel had dat het wel wat zou kunnen worden was 64bits nog een te groot probleem maar het was duidelijk dat dat het moest gaan worden, vervolgens ging de focus naar Pypilot, ondertussen de update van OpenCPN dus ff wachten tot de bugs er uit zijn toen de update van O-Charts... maar nu is de boel wel uitgekristalliseerd denk ik de richting waar het naar toe gaat is mij wel duidelijk. Maar nu kan ik niet aan boardjes komen dus ligt het sowieso stil, maar ik moet wel op tijd beginnen voor volgend seizoen.

Bovenstaande om aan te geven dat ik er geen commercieel belang bij heb voor de "legacy" ondersteuning!
Maar ik wil ook best wel wat inleggen!
Als voorbeeld voor onze build van Pypilot voor de Raspberry pi zero2 betaalde ik € 2400,-
Dat is op basis van een uurloon van € 100,- De kosten zijn voor de community lijkt mij laag en voor de uitvoerder een leuke verdienste!

Dus start een crowdfunding voor de ondersteuning die je wenst!
Onno Harders eigenaar van
www.boatcontroller.nl en www.pcnautic.nl
Prutsen is de meest onderschatte fase van een creatief proces
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 13:41 #1402461

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 6295
Ik begrijp het niet helemaal. De software met plugin is beschikbaar. De navigatie software geeft de ingestelde route aan.

Wat je nodig hebt is het schakelkastje met plus en min voor de motorbediening.

En uiteraard het boardje voor de bewegings-sensor en gyroscoop chip.

Het schakelkastje. Zie afbeelding. Wordt als basis aangeboden voor $ 70,- Voor zwaarder evermogen heb je een zwaardere uitvoering nodig.


Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 13:49 #1402462

  • cav
  • cav's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 48
Zeilprutser schreef :
Hoi kees!!!
Wist niet dat je je hier durfde te vertonen! Welkom!
Wel knap dat je je zover buiten deze discussies hebt gehouden!
Wel, tot vorig jaar zat ik tot mijn oren in het echte werk, de boot up-en-running houden (dat is al bijna een dagtaak met 10 tanks, een ankerlier, een nieuwe boegschroef van Vetus, een rondje Atlantic in corona tijden, testen voor Navico en Vesper, en dan ook nog open source software bijhouden. Laat staan dat ik tijd had voor dit forum. Maar nu is de sfeer hier wat gezelliger dan 10 jaar geleden en heb ik dankzij pensionering meer tijd. Nu een paar maanden met dochterlief op zeilstap, dit jaar maar een klein tochtje; UK en Noorwegen.

Nu ben je de klos:
@CAV
Zeilprutser schreef :
3Noreen schreef :
Als OpenCPN ontwikkelaars er voor gekozen hadden Debian te blijven ondersteunen zou er een grote groep van afgeleide besturingssystemen compatibel gebleven zijn. Inclusief jou Linux Mint.

Ja dat begrijp ik ook niet! En hoe moeilijk is dat? Ik begrijp dat de basis van het probleem is dat je niet alle "externe" plug-ins kunt ondersteunen maar die O-charts net die ene waar iets voor betaald is.....
Hoeveel werk is het om voor deze groep een build te doen voor OpenCPN en de O-charts plug in?
En wordt Raspberry Pi OS (Legacy) dan ook niet meteen ondersteund? Dat lijkt me een logische stap
[/quote]

Wel, met de radar plugin ondersteunen we dat wat O ondersteunt, meer of minder heeft geen zin. Dat lijkt me duidelijk. De huidige lijst van triplets (processor+OS+versie) die we voor de radar plugin bouwen:
  • x86 Windows, ik dacht nog steeds XP en hoger maar zou ook 7 en hoger kunnen zijn
  • x86_64 macOS 10.10 en hoger
  • Linux x86_64:
    • Debian 10
    • Debian 11
    • Ubuntu 18.04 met GTK2
    • Ubuntu 18.04 met GTK3
    • Ubuntu 20.04 met GTK3
    • Flatpak (20.08)
  • Linux armhf (32 bits ARM):
    • Debian 10 (dit werkt op RaspiOS)
    • Debian 11 (dit werkt op RaspiOS)
    • Ubuntu 18.04 (dit werkt wellicht ook op Raspi?)
    • Ubuntu 20.04 met GTK3
  • Linux aarch64 (64 bits ARM):
    • Flatpak (20.08)
Dus zolang je distributie compatibel is met de vereisten voor OpenCPN op Debian 10/11 of Ubuntu 18.04/20.04 blijft het echt wel werken. Je zal misschien een apt entry moeten toevoegen om naar de OpenCPN repo te wijzen. Pas als je distributie nieuwe wxWidgets versie meelevert ben je de klos. Je kan natuurlijk óók kiezen om je Linux versie niet te updaten, waarom zou je: veel Windows gebruikers zitten nog op XP of 7. Helaas lijden veel Linux gebruikers (net als ik) aan onverbeterlijke ik-moet-de-laatste-hebben ziekte.

In mijn 'echte baan' hadden we één Linux distributie voor onze Linux OS agent waar we met een shell installer werkten en binaries die compatibel waren met meestal de oudste libc versie die er op dat platform (en dan bedoel ik de combo Linux+processor hier) werkten; we compenseerden zelf in de code voor nieuwe functionaliteit in glibc, en zorgden dat we nooit van andere bibliotheken afhankelijk waren. Als de klant dan b.v. usernames wilde testen, dan laadden we zelf dynamisch libpam.so. Dat ging voor een kleine agent waarbij we zelf alles schreven. Zo zat er tbv. HTTP/1.1 een zelfgeschreven deflate/inflate compressie laag in die 2x sneller is dan libz. Het eindresultaat was dat onze agent bijna nooit afhankelijk was van een OS upgrade. Echt heerlijk vooral voor support. Overigens hadden we daar 15 jaar geleden ook nog wel geloof ik op het toppunt zo'n 15 distributies: AIX, HP-UX 9 (geen multithreading!), HP-UX 10, Solaris, SCO Unix, Unixware, Dec Tru64, SGI Irix, Windows NT, DEC/Compaq/HP OpenVMS, Microsoft Windows en niet te vergeten IBM z/OS. Ben er nu nog een aantal vergeten. Allemaal met 1 codebase...

Dat dit alles voor OpenCPN niet werkt snap ik helemaal, en dat er nu gepusht wordt naar Flatpak is eenmalig lastig voor oude gebruikers. Dit moment wordt gekozen omdat dit het moment is om voor aarch64 alleen maar Flatpak te doen. En voor x86_64 geen nieuwe triplets meer toe te voegen. Dat heeft nadelen, maar ook voordelen; je kan nu voor een Fedora/SuSE/Arch distributie kiezen ipv een Debian/Ubuntu. En omdat het OpenCPN flatpak package wat je download aan Flatpak vertelt wat de Flatpak dependencies zijn worden die automatisch gedownload. Dus het is helemaal onafhankelijk van welke distributie en welke versie van die distributie hebt. Heerlijk!

Dus, resumerend, Dave en kornuiten zijn er blij mee, veel minder distributies bij te houden. Veel minder bugs ook dus die ze niet kunnen reproduceren. Ook voor de radar plugin zijn we er blij mee.

PS het is Flatpak zonder C. Net als Kees ;-)
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 17:09 #1402494

Je weet dat mijn software kennisniveau niet veel hoger is dan het gebruikersniveau daarom mijn vraag.
Aan mijn jongens kan ik het niet vragen die moeten zich daar eerst weer helemaal inlezen.
Als ik het goed begrijp is de "software" (OpenCPN en O-Charts) waarschijnlijk wel compatible maar is het voor hun distributie niet gebouwd?
Het probleem waar ze tegenaan lopen is dat apt get upgrade OpenCPN niet werkt.
Is daar een oplossing voor?
Er zijn hier namelijk een aantal zelfbouwers die na veel hobbyen een stabiele versie pre OpenCPN 5.6 icm O-Charts gebruiken die hadden gehoopt dat ze met apt get update de nieuwe versie van OpenCPN konden krijgen en dan dus ook de nieuwe Plug in van O-Charts.
Ze zijn verschrikkelijk bang dat als ze het hele besturingssysteem moeten upgraden er iets anders omvalt. (nu was de timing 1 maart ook wel onhandig dan ben je bezig met de boot te water brengen en wil je niet meer bezig met je winter werkzaamheden)

Het is duidelijk dat Flatpak dit voor de toekomst oplost maar daar zijn ze nu niet mee geholpen.
Onno Harders eigenaar van
www.boatcontroller.nl en www.pcnautic.nl
Prutsen is de meest onderschatte fase van een creatief proces
Laatst bewerkt: 26 juni 2022 17:12 door Zeilprutser.
Alleen ingelogde leden kunnen reageren.

Nieuwe versie Pypilot voor RPI4 flatpak 26 juni 2022 17:18 #1402498

  • Mi Dushi
  • Mi Dushi's Profielfoto
  • aanwezig
  • Gebruiker
  • Berichten: 1240
Dus toch een goed idee, Flatpak! :)
Zojuist OpenCPN geïnstalleerd op Linux Mint 20.2. Gewoon vanaf de Ubuntu PPA. Dat werkt toch nog.
[offtopic]En een O-chart erop gezet. En geconstateerd dat je op deze vectorkaart ook de relevante info verliest als je uitzoomt, inclusief windmolenparken en verkeersscheidingsstelsels, zodat je een oversteek naar Engeland er niet op kan plannen. Papieren kaarten dus, voor het echte werk.[/offtopic]
Ik blijf niettemin meelezen met dit soort topics.
Jan
HR 312 Mi Dushi, Wemeldinge
Alleen ingelogde leden kunnen reageren.
Tijd voor maken pagina: 0.253 seconden
Gemaakt door Kunena
   
   
   
   
© Zeilersforum.nl